Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
FormStateDecoratorBaseTest::testSetFormState function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setFormState[[api-linebreak]]
FormStateDecoratorBaseTest::testSetGroups function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setGroups[[api-linebreak]]
FormStateDecoratorBaseTest::testSetHasFileElement function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setHasFileElement[[api-linebreak]]
FormStateDecoratorBaseTest::testSetInvalidToken function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setInvalidToken[[api-linebreak]]
FormStateDecoratorBaseTest::testSetLimitValidationErrors function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setLimitValidationErrors[[api-linebreak]]
FormStateDecoratorBaseTest::testSetMethod function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setMethod[[api-linebreak]]
FormStateDecoratorBaseTest::testSetProcessInput function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setProcessInput[[api-linebreak]]
FormStateDecoratorBaseTest::testSetProgrammed function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setProgrammed[[api-linebreak]]
FormStateDecoratorBaseTest::testSetProgrammedBypassAccessCheck function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setProgrammedBypassAccessCheck[[api-linebreak]]
FormStateDecoratorBaseTest::testSetRebuild function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setRebuild[[api-linebreak]]
FormStateDecoratorBaseTest::testSetRebuildInfo function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setRebuildInfo[[api-linebreak]]
FormStateDecoratorBaseTest::testSetRedirect function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setRedirect[[api-linebreak]]
FormStateDecoratorBaseTest::testSetRedirectUrl function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setRedirectUrl[[api-linebreak]]
FormStateDecoratorBaseTest::testSetRequestMethod function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setRequestMethod[[api-linebreak]]
FormStateDecoratorBaseTest::testSetResponse function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setResponse[[api-linebreak]]
FormStateDecoratorBaseTest::testSetStorage function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setStorage[[api-linebreak]]
FormStateDecoratorBaseTest::testSetSubmitHandlers function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setSubmitHandlers[[api-linebreak]]
FormStateDecoratorBaseTest::testSetSubmitted function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setSubmitted[[api-linebreak]]
FormStateDecoratorBaseTest::testSetTemporary function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setTemporary[[api-linebreak]]
FormStateDecoratorBaseTest::testSetTemporaryValue function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setTemporaryValue[[api-linebreak]]
FormStateDecoratorBaseTest::testSetTriggeringElement function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setTriggeringElement[[api-linebreak]]
FormStateDecoratorBaseTest::testSetUserInput function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setUserInput[[api-linebreak]]
FormStateDecoratorBaseTest::testSetValidateHandlers function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setValidateHandlers[[api-linebreak]]
FormStateDecoratorBaseTest::testSetValidationComplete function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setValidationComplete[[api-linebreak]]
FormStateDecoratorBaseTest::testSetValidationEnforced function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setValidationEnforced[[api-linebreak]]
FormStateDecoratorBaseTest::testSetValue function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setValue[[api-linebreak]]
FormStateDecoratorBaseTest::testSetValueForElement function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setValueForElement[[api-linebreak]]
FormStateDecoratorBaseTest::testSetValues function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::setValues[[api-linebreak]]
FormStateDecoratorBaseTest::testUnsetValue function core/tests/Drupal/Tests/Core/Form/FormStateDecoratorBaseTest.php @covers ::unsetValue[[api-linebreak]]
FormStateInterface interface core/lib/Drupal/Core/Form/FormStateInterface.php Provides an interface for an object containing the current state of a form.
FormStateInterface.php file core/lib/Drupal/Core/Form/FormStateInterface.php
FormStateInterface::addBuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Adds a value to the build info.
FormStateInterface::addCleanValueKey function core/lib/Drupal/Core/Form/FormStateInterface.php Adds a key to the array of form values that will be cleaned.
FormStateInterface::addRebuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Adds a value to the rebuild info.
FormStateInterface::cleanValues function core/lib/Drupal/Core/Form/FormStateInterface.php Removes internal Form API elements and buttons from submitted form values.
FormStateInterface::clearErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Clears all errors against all form elements made by self::setErrorByName().
FormStateInterface::disableCache function core/lib/Drupal/Core/Form/FormStateInterface.php Prevents the form from being cached.
FormStateInterface::disableRedirect function core/lib/Drupal/Core/Form/FormStateInterface.php Prevents the form from redirecting.
FormStateInterface::get function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the value for a property in the form state storage.
FormStateInterface::getAlwaysProcess function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if this form should always be processed.
FormStateInterface::getBuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the build info for the form.
FormStateInterface::getButtons function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the submit and button elements for the form.
FormStateInterface::getCacheableArray function core/lib/Drupal/Core/Form/FormStateInterface.php Returns an array representation of the cacheable portion of the form state.
FormStateInterface::getCleanValueKeys function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the keys of the form values that will be cleaned.
FormStateInterface::getCompleteForm function core/lib/Drupal/Core/Form/FormStateInterface.php Returns a reference to the complete form array.
FormStateInterface::getError function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the error message filed against the given form element.
FormStateInterface::getErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Returns an associative array of all errors.
FormStateInterface::getFormObject function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the form object that is responsible for building this form.
FormStateInterface::getGroups function core/lib/Drupal/Core/Form/FormStateInterface.php Returns references to details elements to render them within vertical tabs.
FormStateInterface::getIgnoreDestination function core/lib/Drupal/Core/Form/FormStateInterface.php Gets whether the redirect respects the destination query parameter.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.